RecordDefinitions (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client

## Class RecordDefinitions

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.RecordDefinitions

-     public class RecordDefinitions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.gwtext.client.data.RecordDef` | `areaRecordDef`
    `static com.gwtext.client.data.RecordDef` | `biodiversityObjectRecordDef`
    `static com.gwtext.client.data.RecordDef` | `cellRecordDef`
    `static com.gwtext.client.data.RecordDef` | `classRecordDef`
    `static com.gwtext.client.data.RecordDef` | `distributionObjectRecordDef`
    `static com.gwtext.client.data.RecordDef` | `envRecordDef`
    `static com.gwtext.client.data.RecordDef` | `familyRecordDef`
    `static com.gwtext.client.data.RecordDef` | `fileRecordDef`
    `static com.gwtext.client.data.RecordDef` | `filterRecordDef`
    `static com.gwtext.client.data.Converter` | `FloatConverter`
    `static com.gwtext.client.data.RecordDef` | `kingdomRecordDef`
    `static com.gwtext.client.data.RecordDef` | `orderRecordDef`
    `static com.gwtext.client.data.RecordDef` | `perturbationRecordDef`
    `static com.gwtext.client.data.RecordDef` | `phylumRecordDef`
    `static com.gwtext.client.data.RecordDef` | `resourceRecordDef`
    `static com.gwtext.client.data.RecordDef` | `specRecordDef`
    `static com.gwtext.client.data.RecordDef` | `submittedRecordDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordDefinitions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### submittedRecordDef

          public static com.gwtext.client.data.RecordDef submittedRecordDef

    - #### distributionObjectRecordDef

          public static com.gwtext.client.data.RecordDef distributionObjectRecordDef

    - #### biodiversityObjectRecordDef

          public static com.gwtext.client.data.RecordDef biodiversityObjectRecordDef

    - #### FloatConverter

          public static com.gwtext.client.data.Converter FloatConverter

    - #### kingdomRecordDef

          public static com.gwtext.client.data.RecordDef kingdomRecordDef

    - #### phylumRecordDef

          public static com.gwtext.client.data.RecordDef phylumRecordDef

    - #### classRecordDef

          public static com.gwtext.client.data.RecordDef classRecordDef

    - #### orderRecordDef

          public static com.gwtext.client.data.RecordDef orderRecordDef

    - #### familyRecordDef

          public static com.gwtext.client.data.RecordDef familyRecordDef

    - #### specRecordDef

          public static com.gwtext.client.data.RecordDef specRecordDef

    - #### areaRecordDef

          public static com.gwtext.client.data.RecordDef areaRecordDef

    - #### cellRecordDef

          public static com.gwtext.client.data.RecordDef cellRecordDef

    - #### envRecordDef

          public static com.gwtext.client.data.RecordDef envRecordDef

    - #### perturbationRecordDef

          public static com.gwtext.client.data.RecordDef perturbationRecordDef

    - #### fileRecordDef

          public static com.gwtext.client.data.RecordDef fileRecordDef

    - #### filterRecordDef

          public static com.gwtext.client.data.RecordDef filterRecordDef

    - #### resourceRecordDef

          public static com.gwtext.client.data.RecordDef resourceRecordDef

  - ### Constructor Detail

    - #### RecordDefinitions

          public RecordDefinitions()

Copyright © 2014. All Rights Reserved.